Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 78606

Summary: rhn based RPM install crashed rhn_check
Product: [Retired] Red Hat Linux Reporter: Boris Folgmann <boris>
Component: up2dateAssignee: Adrian Likins <alikins>
Status: CLOSED CURRENTRELEASE QA Contact: Red Hat Satellite QA List <satellite-qa-list>
Severity: medium Docs Contact:
Priority: medium    
Version: 8.0CC: gafton, mihai.ibanescu
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2003-05-22 19:02:48 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Boris Folgmann 2002-11-26 12:49:11 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-AT; rv:1.1) Gecko/20020829

Description of problem:
rhn fails to install RPMs

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1. Setup standard RedHat 8.0 server
2. Use rhn website to add RPMS for jed, mozilla and mozilla-psm
3. Call rhn_check -v on server

	

Actual Results:  Python errors


Expected Results:  Install RPMs

Additional info:

[root@ra root]#  rhn_check -v
jed-0.99.15-3.i386.rpm:     ########################## Done.
mozilla-1.0.1-26.i386.rpm:  ########################## Done.
mozilla-psm-1.0.1-26.i386.r ########################## Done.
mozilla-nspr-1.0.1-26.i386. ########################## Done.
compat-libstdc++-7.3-2.96.1 ########################## Done.
mozilla-nss-1.0.1-26.i386.r ########################## Done.
indexhtml-8.0-1.noarch.rpm: ########################## Done.
Preparing              ########################################### [100%]

Installing...
   1:jed                    ########################################### [100%]
   2:mozilla                ########################################### [100%]
   3:mozilla-psm            ########################################### [100%]
   4:mozilla-nspr           ########################################### [100%]
   5:compat-libstdc++       ########################################### [100%]
   6:mozilla-nss            ########################################### [100%]
   7:indexhtml              ########################################### [100%]
Traceback (most recent call last):
  File "/usr/sbin/rhn_check", line 164, in handle_action
    (status, message, data) = do_call(method, params)
  File "/usr/sbin/rhn_check", line 84, in do_call
    retval = apply(method, params)
  File "/usr/share/rhn/actions/packages.py", line 251, in update
    ret = _catchErrors(batchRun, "packages.update", (0, pkgList))
  File "/usr/share/rhn/actions/packages.py", line 111, in _catchErrors
    ret = apply(method, args)
  File "/usr/share/rhn/actions/packages.py", line 268, in batchRun
    actionPkgs = pkgList)
  File "/usr/share/rhn/up2date_client/wrapper.py", line 737, in batchRun
    batch.run()
  File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 74, in run
    self.__installPackages()
  File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 127, in
__installPackages
    self.kernelsToInstall = up2date.installPackages(self.packagesToInstall,
self.rpmCallback)
  File "/usr/share/rhn/up2date_client/up2date.py", line 545, in installPackages
    runTransaction(ts, rpmCallback)
  File "/usr/share/rhn/up2date_client/up2date.py", line 514, in runTransaction
    rhnPackageInfo.remoteAddPackages(addedPackages)
  File "/usr/share/rhn/up2date_client/rhnPackageInfo.py", line 47, in
remoteAddPackages
    updateTransactions()
  File "/usr/share/rhn/up2date_client/rhnPackageInfo.py", line 69, in
updateTransactions
    rollback = rollbacks.Rollback()
  File "/usr/share/rhn/up2date_client/rollbacks.py", line 129, in __init__
    self.__genAvailableTidHdrDict()
  File "/usr/share/rhn/up2date_client/rollbacks.py", line 163, in
__genAvailableTidHdrDict
    for (tid, hdr, filename) in transList:
TypeError: iteration over non-sequence

Comment 1 Adrian Likins 2002-12-02 22:00:27 UTC
should be fixed in version 3.0.21 or higher, when released.

Comment 2 Matt Jamison 2003-05-22 19:02:48 UTC
works now, closing bug.